<!doctype html>
<html class="not-ready lg:text-base" lang="en">
  <head>
  <meta charset="utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />

  <!-- Title -->
  <title>
    Home
  </title>

  <!-- Meta -->
  <meta name="theme-color" />

  <!-- Author -->
  
  <meta name="description" content="Hi, my name is Yanbo Guan, a student in IDS-721 course, here is the website includes all my projects." />
  <meta name="author" content="yanbo" />
  

  <!-- CSS & JS -->
  <link rel="preload stylesheet" as="style" href="https://individual-project1-dukeaiml-ids721-3a874b9b83d2e9da13fe30042b7.gitlab.io/main.css" />
  <style>
    :root {
      --bg: #f4f4f5;
      --bg-dark: #18181b;
      --header: #e4e4e7;
      --header-dark: #27272a;
    }
  </style>

  

  <!-- Dark Icon -->
  <link rel="preload" as="image" href="https://individual-project1-dukeaiml-ids721-3a874b9b83d2e9da13fe30042b7.gitlab.io/icons/theme.svg" />

  <!-- Math -->
  
  <!---->

  <!-- Mermaid -->
  
  <!---->

  <!-- Favicon -->
  <link rel="icon" href="https://individual-project1-dukeaiml-ids721-3a874b9b83d2e9da13fe30042b7.gitlab.io/favicon.ico" />
  <link rel="apple-touch-icon" href="https://individual-project1-dukeaiml-ids721-3a874b9b83d2e9da13fe30042b7.gitlab.io/apple-touch-icon.png" />

  <!-- Feeds -->
  
  <!---->
  
  <link
    rel="alternate"
    type="application/atom+xml"
    title="Atom"
    href="https://individual-project1-dukeaiml-ids721-3a874b9b83d2e9da13fe30042b7.gitlab.io/atom.xml"
  />
  
  <!---->
  

  <!-- Canonical -->
  <link rel="canonical" href="https:&#x2F;&#x2F;individual-project1-dukeaiml-ids721-3a874b9b83d2e9da13fe30042b7.gitlab.io" />
</head>

  <body class="text-black duration-200 ease-out dark:text-white">
    <header
  class="header fixed top-0 z-40 mx-auto min-h-[3.5rem] w-full"
>
  <div class="mx-auto w-full max-w-4xl p-3 lg:flex lg:justify-between">
    <div class="flex justify-between">
      <div class="flex items-center">
        <a class="text-2xl font-semibold" href="https://individual-project1-dukeaiml-ids721-3a874b9b83d2e9da13fe30042b7.gitlab.io">Home</a>
        <div
          class="btn-dark ml-4 h-6 w-6 shrink-0 cursor-pointer text-[0] [background:url(./icons/theme.svg)_left_center/cover_no-repeat] dark:invert dark:[background-position:right]"
          role="button"
          aria-label="Dark"
        ></div>
      </div>
      
      <div
        class="btn-menu relative z-50 flex h-8 w-8 shrink-0 cursor-pointer flex-col items-center justify-center gap-2.5 lg:hidden"
        role="button"
        aria-label="Menu"
      ></div>
      
    </div>
    <script>
      // base
      const htmlClass = document.documentElement.classList;
      setTimeout(() => {
        htmlClass.remove("not-ready");
      }, 10);

      // mobile menu
      const btnMenu = document.querySelector(".btn-menu");
      btnMenu?.addEventListener("click", () => {
        htmlClass.toggle("open");
      });

      // dark theme
      const setDark = (isDark) => {
        htmlClass[isDark ? "add" : "remove"]("dark");
        localStorage.setItem("dark", isDark);
      };

      // init
      const darkScheme = window.matchMedia("(prefers-color-scheme: dark)");
      if (htmlClass.contains("dark")) {
        setDark(true);
      } else {
        const darkVal = localStorage.getItem("dark");
        setDark(darkVal ? darkVal === "true" : darkScheme.matches);
      }

      // listen system
      darkScheme.addEventListener("change", (event) => {
        setDark(event.matches);
      });

      // manual switch
      const btnDark = document.querySelector(".btn-dark");
      btnDark.addEventListener("click", () => {
        setDark(localStorage.getItem("dark") !== "true");
      });
    </script>
    
    <nav class="flex w-full items-center lg:w-auto">
      <ul
        class="nav-wrapper flex w-full flex-col py-2 lg:w-auto lg:flex-row lg:self-center lg:py-0"
      >
        
        <li>
          <a
            class="primary-link block py-2 text-center text-lg font-medium lg:px-3 lg:py-0"
            href="https://individual-project1-dukeaiml-ids721-3a874b9b83d2e9da13fe30042b7.gitlab.io/projects"
            >Projects</a
          >
        </li>
        
        <li>
          <a
            class="primary-link block py-2 text-center text-lg font-medium lg:px-3 lg:py-0"
            href="https://individual-project1-dukeaiml-ids721-3a874b9b83d2e9da13fe30042b7.gitlab.io/About"
            >About</a
          >
        </li>
        
      </ul>
    </nav>
    
  </div>
</header>


    <main
      class="prose prose-neutral relative mx-auto min-h-[calc(100%-9rem)] max-w-3xl px-4 pb-16 pt-32 dark:prose-invert"
    >
      
<!-- Section Title -->
<h1 class="mb-16">Content of Projects</h1>
<!-- Pages -->
<!-- Pages -->
<!---->
<!---->
<!---->


<section
  class="block-bg relative mb-4 rounded-lg p-4 first-of-type:mt-0 last-of-type:mb-0 active:scale-95 lg:mb-6 lg:p-6"
>
  <!---->

  <h2 class="!my-0 pb-1 font-bold !leading-none">mini-project6</h2>

  <div class="not-prose my-1 truncate">
    
    <p>Instrument a Rust Lambda Function with Logging and Tracing</p>
    
  </div>

  <div class="text-sm antialiased opacity-60">
  
  <time>2024-03-08</time>
  <span class="mx-1">&middot;</span>
  <span>3min</span>
  <!---->
  
  <!---->
  
  <span class="mx-1">&middot;</span>
  <span>yanbo</span>
  
</div>


  <a class="absolute inset-0 text-[0]" href="https:&#x2F;&#x2F;individual-project1-dukeaiml-ids721-3a874b9b83d2e9da13fe30042b7.gitlab.io&#x2F;projects&#x2F;project6&#x2F;">mini-project6</a>
</section>

<section
  class="block-bg relative mb-4 rounded-lg p-4 first-of-type:mt-0 last-of-type:mb-0 active:scale-95 lg:mb-6 lg:p-6"
>
  <!---->

  <h2 class="!my-0 pb-1 font-bold !leading-none">mini-project5</h2>

  <div class="not-prose my-1 truncate">
    
    <p>Serverless Rust Microservice </p>
    
  </div>

  <div class="text-sm antialiased opacity-60">
  
  <time>2024-03-01</time>
  <span class="mx-1">&middot;</span>
  <span>2min</span>
  <!---->
  
  <!---->
  
  <span class="mx-1">&middot;</span>
  <span>yanbo</span>
  
</div>


  <a class="absolute inset-0 text-[0]" href="https:&#x2F;&#x2F;individual-project1-dukeaiml-ids721-3a874b9b83d2e9da13fe30042b7.gitlab.io&#x2F;projects&#x2F;project5&#x2F;">mini-project5</a>
</section>

<section
  class="block-bg relative mb-4 rounded-lg p-4 first-of-type:mt-0 last-of-type:mb-0 active:scale-95 lg:mb-6 lg:p-6"
>
  <!---->

  <h2 class="!my-0 pb-1 font-bold !leading-none">mini-project4</h2>

  <div class="not-prose my-1 truncate">
    
    <p>Containerize a Rust Actix Web Service</p>
    
  </div>

  <div class="text-sm antialiased opacity-60">
  
  <time>2024-02-23</time>
  <span class="mx-1">&middot;</span>
  <span>1min</span>
  <!---->
  
  <!---->
  
  <span class="mx-1">&middot;</span>
  <span>yanbo</span>
  
</div>


  <a class="absolute inset-0 text-[0]" href="https:&#x2F;&#x2F;individual-project1-dukeaiml-ids721-3a874b9b83d2e9da13fe30042b7.gitlab.io&#x2F;projects&#x2F;project4&#x2F;">mini-project4</a>
</section>

<section
  class="block-bg relative mb-4 rounded-lg p-4 first-of-type:mt-0 last-of-type:mb-0 active:scale-95 lg:mb-6 lg:p-6"
>
  <!---->

  <h2 class="!my-0 pb-1 font-bold !leading-none">mini-project3</h2>

  <div class="not-prose my-1 truncate">
    
    <p>Create an S3 Bucket using CDK with AWS CodeWhisperer</p>
    
  </div>

  <div class="text-sm antialiased opacity-60">
  
  <time>2024-02-13</time>
  <span class="mx-1">&middot;</span>
  <span>1min</span>
  <!---->
  
  <!---->
  
  <span class="mx-1">&middot;</span>
  <span>yanbo</span>
  
</div>


  <a class="absolute inset-0 text-[0]" href="https:&#x2F;&#x2F;individual-project1-dukeaiml-ids721-3a874b9b83d2e9da13fe30042b7.gitlab.io&#x2F;projects&#x2F;project3&#x2F;">mini-project3</a>
</section>

<section
  class="block-bg relative mb-4 rounded-lg p-4 first-of-type:mt-0 last-of-type:mb-0 active:scale-95 lg:mb-6 lg:p-6"
>
  <!---->

  <h2 class="!my-0 pb-1 font-bold !leading-none">mini-project2</h2>

  <div class="not-prose my-1 truncate">
    
    <p>Create a simple AWS Lambda function that processes data</p>
    
  </div>

  <div class="text-sm antialiased opacity-60">
  
  <time>2024-02-09</time>
  <span class="mx-1">&middot;</span>
  <span>2min</span>
  <!---->
  
  <!---->
  
  <span class="mx-1">&middot;</span>
  <span>yanbo</span>
  
</div>


  <a class="absolute inset-0 text-[0]" href="https:&#x2F;&#x2F;individual-project1-dukeaiml-ids721-3a874b9b83d2e9da13fe30042b7.gitlab.io&#x2F;projects&#x2F;project2&#x2F;">mini-project2</a>
</section>

<section
  class="block-bg relative mb-4 rounded-lg p-4 first-of-type:mt-0 last-of-type:mb-0 active:scale-95 lg:mb-6 lg:p-6"
>
  <!---->

  <h2 class="!my-0 pb-1 font-bold !leading-none">mini-project1</h2>

  <div class="not-prose my-1 truncate">
    
    <p>This is a start of my personal website</p>
    
  </div>

  <div class="text-sm antialiased opacity-60">
  
  <time>2024-01-29</time>
  <span class="mx-1">&middot;</span>
  <span>1min</span>
  <!---->
  
  <!---->
  
  <span class="mx-1">&middot;</span>
  <span>yanbo</span>
  
</div>


  <a class="absolute inset-0 text-[0]" href="https:&#x2F;&#x2F;individual-project1-dukeaiml-ids721-3a874b9b83d2e9da13fe30042b7.gitlab.io&#x2F;projects&#x2F;project1&#x2F;">mini-project1</a>
</section>


<!-- Main Nav -->

<!---->

    </main>

    <footer class="mx-auto flex max-w-3xl flex-wrap items-center px-8 py-4 text-sm opacity-60">
  <div class="mr-auto basis-full lg:basis-1/2">
    &copy; 2020 -  2024
    <a class="link" href="https://individual-project1-dukeaiml-ids721-3a874b9b83d2e9da13fe30042b7.gitlab.io"
      >yanbo</a
    >
     |<!---->
    <!---->
    <a class="link" href="https:&#x2F;&#x2F;creativecommons.org&#x2F;licenses&#x2F;by-sa&#x2F;4.0&#x2F;deed" rel="noopener" target="_blank">
      CC BY-SA 4.0
    </a>
    <!---->
    
  </div>
  <div class="flex basis-full lg:basis-1/2 lg:justify-end">
    <a class="link mr-6 lg:ml-6" href="https://www.getzola.org/" rel="noopener" target="_blank"
      >Powered by Zola</a
    >
    <a class="link" href="https://github.com/st1020/kita" rel="noopener" target="_blank">✎ Kita</a>
  </div>
</footer>

  </body>
</html>
